| Home | Libraries | People | FAQ | More

#### condition

Error conditions corresponding to JSON errors.

##### Synopsis

Defined in header `<boost/json/error.hpp>`

    enum condition

##### Values

Name | Description
--- | ---
`parse_error` | A parser-related error.
`pointer_parse_error` | An error related to parsing JSON pointer string.
`pointer_use_error` | An error related to applying JSON pointer string to a value.
`conversion_error` | A conversion error.
`generic_error` | A generic error.

Convenience header `<boost/json.hpp>`